package ru.dbotthepony.kstarbound.defs.particle

import ru.dbotthepony.kommons.math.RGBAColor
import ru.dbotthepony.kommons.vector.Vector2d
import ru.dbotthepony.kommons.vector.Vector4d
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

@JsonFactory
data class ParticleVariance(
	override val offset: Vector2d? = null,
	override val position: Vector2d? = null,
	override val offsetRegion: Vector4d? = null,
	override val initialVelocity: Vector2d? = null,
	override val approach: Vector2d? = null,
	override val angularVelocity: Double? = null,
	override val size: Double? = null,
	override val color: RGBAColor? = null,
) : IParticleVariance
